using RobotNet.RobotShares.VDA5050.State;
using RobotNet.RobotShares.VDA5050.Visualization;

namespace RobotNet.RobotShares.Dtos;

#nullable disable

public class RobotVDA5050StateDto
{
    public string RobotId { get; set; }
    public string Name { get; set; }
    public Guid MapId { get; set; }
    public bool Online { get; set; }
    public bool IsWorking { get; set; }
    public StateMsg State { get; set; } = new();
    public RobotOrderDto OrderState { get; set; } = new();
    public VisualizationMsg Visualization { get; set; } = new();
}
